/****************************************************************************************************************************
**                                                                                                                         **
**                 Copyright (C) 1999 by Punk Productions Electronic Entertainment. All Rights Reserved.                   ** 
**                                                                                                                         **
**        Purpose: Everyone out there should be able to load different Imagefileformats...                                 **
**     Programmer: Nikolaus Brennig, 18, (Nikolaus.Brennig@nol.at)                                                         **
**                 Original ImageLoaderDLL coded by K. Nishita in 1997. I Only used it and created a simple DDloader       **
**                 for it. If you look in the code, its rather easy to use the Loadroutines for standard Win32Apps,        **
**                 since the Data is blitted to a DC, so do what you want with this code.                                  **
**                                                                                                                         **
**                 WARNING: If you want to use this code in a commercial product (game or whatever) you will have          **
**                 to send us ( Nishita and me, nick ) a free and full functional copy of it. Yep, thats business ;-)      **
**                 If you want to use this code only for learning or simply non-commercial use, simply send us an email    **
**                 cause for sure we want to know who out there uses this code...                                          **
**                                                                                                                         **
**                 You can contact us:       Nick: virtualnik@nol.at, http://cust.nol.at/ppee                              **
**                                     K. Nishita: knishita@ibm.net, http://freeware.freeservers.com                       **
**                                                                                                                         **
**                 Ok, thats all for now, so have fun with loading images ;-)                                              **
**                                                                                                                         **
**     Day created: January 12th, 1999                                                                                     **
**                                                                                                                         **
****************************************************************************************************************************/
// Includefiles...
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <windowsx.h>
#include <ddraw.h>
#include <stdio.h>
#include <io.h>
#include "Images.h"

#define NAME "ImageLoader, (C) 1999 Punk Productions"
#define TITLE "ImageLoader, (C) 1999 Punk Productions"
/****************************************************************************************************************************
**                                                   Program states                                                        **
****************************************************************************************************************************/
enum
{
   PS_ACTIVE,
   PS_INITAPP
};

/****************************************************************************************************************************
**                                                 function prototypes...                                                  **
****************************************************************************************************************************/
//Macro to set up DDSD struct
int PASCAL WinMain( HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow);
void HeartBeat( void );
long FAR PASCAL WindowProc( HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam );
void finiObjects( void );
HRESULT restoreAll( void );
BOOL Error(char *err );
void Blackscreen();
void Flipscreen();
/****************************************************************************************************************************
**                                                      Variablen:                                                         **
****************************************************************************************************************************/
// The DirectDraw stuff...
LPDIRECTDRAW            lpDD;            // DirectDraw object...
LPDIRECTDRAWSURFACE     lpDDSPrimary;    // DirectDraw primary surface...
LPDIRECTDRAWSURFACE     lpDDSBack;       // DirectDraw backbuffer...
LPDIRECTDRAWSURFACE     lpDDSBack2;      // DirectDraw second backbuffer...
LPDIRECTDRAWSURFACE     lpDDSBMP;        // The Bitmapformat...
LPDIRECTDRAWSURFACE     lpDDSDIB;        // The DibFormat...
LPDIRECTDRAWSURFACE     lpDDSGIF;        // The Gifformat...
LPDIRECTDRAWSURFACE     lpDDSJPG;        // The JpegFormat...
LPDIRECTDRAWSURFACE     lpDDSTGA;        // The Targaformat...
LPDIRECTDRAWSURFACE     lpDDSPCX;        // The PCXFormat...
// The windows stuff...
HWND                    hwnd;
HDC                     hdc;
BOOL                    bActive; 
// For Heartbeat...
int                    ProgramState;
// For the example...
int                    TextX;
BOOL                    TextLeft;
char                   EX3Msg[] = "ImageLoader Sample";





