/*-------------------------------------------------------------------------------------------*\
|                                                                                             |
|    Copyright (C) 1999 by Punk Productions Electronic Entertainment. All Rights Reserved.    | 
|                                                                                             |
|    Purpose.....: Shows how to load JPEG files into a DDsurface                              |
|    Programmer..: Nikolaus Brennig, 19, (Nikolaus.Brennig@nol.at)                            |
|	 Contact.....: virtalnik@nol.at || ICQ: 20345533										  |
|	 Internet....: http://cust.nol.at/ppee													  |
|    Help........: Joine the PPEE-GamesDev MailingList			                              |
|    Day created.: February 17th, 1999                                                        |
|    Update......: March, 30th, 1999                                                          |
|				   Can't remember anymore what i've changed :)								  |
|				   October, 3rd, 1999:														  |
|				   Completely rewritten, Faster Loading/Saving, C++ Interface                 |
|				   now the original JPEGLib 6.2 is used, also Support for                     |
|				   loading PPM/PGM files. Requires at least DirectX7                          |
|                                                                                             |
\*-------------------------------------------------------------------------------------------*/

#ifndef _JPEGTEST_H
#define _JPEGTEST_H

#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <windowsx.h>
#include <mmsystem.h>
#include <ddraw.h>
#include <io.h>

#define NAME  "JPEG Sample, (C) 1999 Punk Productions"
#define TITLE "JPEG Sample, (C) 1999 Punk Productions"


//---------------------------------------------------------------------------------------------
// Our different ProgramStates...
//---------------------------------------------------------------------------------------------
enum
{
   PS_ACTIVE,
   PS_INITAPP
};


//---------------------------------------------------------------------------------------------
// ProtoTypes we may need...
//---------------------------------------------------------------------------------------------
long FAR PASCAL WindowProc( HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam );
BOOL	Error(char *err );
VOID	HeartBeat( void );
VOID	finiObjects( void );

bool	GetImage( LPSTR Filename, LPDIRECTDRAWSURFACE7 *surf );
VOID	SaveJPG( LPSTR Filename, LPDIRECTDRAWSURFACE7 lpSurf, INT Quality, BOOL Color );


//---------------------------------------------------------------------------------------------
// Externals...
//---------------------------------------------------------------------------------------------
extern LPDIRECTDRAW7           lpDD;            // DirectDraw object...
extern LPDIRECTDRAWSURFACE7    lpDDSPrimary;    // DirectDraw primary surface...
extern LPDIRECTDRAWSURFACE7    lpDDSBack;       // DirectDraw backbuffer...
extern LPDIRECTDRAWSURFACE7    lpDDSJPGNormal;
extern LPDIRECTDRAWSURFACE7    lpDDSJPGProgressive;
extern LPDIRECTDRAWSURFACE7    lpDDSJPGGrayScale;
extern LPDIRECTDRAWSURFACE7    lpDDSPPMNormal;
extern LPDIRECTDRAWSURFACE7    lpDDSPGMNormal;
extern HWND                    hwnd;
extern int                     bActive; 
extern int                     ProgramState;

#endif




